Package com.sun.jna.platform.win32.COM

## Class COMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jna.platform.win32.COM.COMException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `COMInvokeException`

      public class COMException
      extends java.lang.RuntimeException

  Exception class for all COM related classes.
  Author:
    Tobias Wolf, wolf.tobias@gmx.net
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `COMException()` | Instantiates a new automation exception.
    `COMException​(java.lang.String message)` | Instantiates a new automation exception.
    `COMException​(java.lang.String message, WinNT.HRESULT hresult)` | Instantiates a new automation exception.
    `COMException​(java.lang.String message, java.lang.Throwable cause)` | Instantiates a new automation exception.
    `COMException​(java.lang.Throwable cause)` | Instantiates a new automation exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WinNT.HRESULT` | `getHresult()` |
    `boolean` | `matchesErrorCode​(int errorCode)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### COMException

          public COMException()

      Instantiates a new automation exception.

    - #### COMException

          public COMException​(java.lang.String message)

      Instantiates a new automation exception.
      Parameters:
        `message` - the message

    - #### COMException

          public COMException​(java.lang.Throwable cause)

      Instantiates a new automation exception.
      Parameters:
        `cause` - the cause

    - #### COMException

          public COMException​(java.lang.String message,
                              java.lang.Throwable cause)

      Instantiates a new automation exception.
      Parameters:
        `message` - the message
        `cause` - the cause

    - #### COMException

          public COMException​(java.lang.String message,
                              WinNT.HRESULT hresult)

      Instantiates a new automation exception.
      Parameters:
        `message` - the message
        `hresult` - HRESULT that lead to the creation of the COMException

  - ### Method Detail

    - #### getHresult

          public WinNT.HRESULT getHresult()

      Returns:
        the HRESULT that lead to thie COMException or NULL if the COMException as not directly caused by a native call

    - #### matchesErrorCode

          public boolean matchesErrorCode​(int errorCode)

      Parameters:
        `errorCode` -
      Returns:
        true if the exception has an associated HRESULT and that HRESULT matches the supplied error code